<mat-form-field appearance="outline" class="form-container">
  <mat-label>{{label}}</mat-label>
  <mat-select (selectionChange)="onValueChange($event)" [required]="isRequired" [formControl]="myFormControl" #matSelect [multiple]="multiple">
    <ngx-mat-select-search [formControl]="searchBoxCtrl" [placeholderLabel]="searchPlaceholder" [noEntriesFoundLabel]="noResultsLabel">      
    </ngx-mat-select-search>
    <mat-icon class="pointer" *ngIf="serverSide && searchBoxCtrl.value" (click)="serverSearch()">search</mat-icon>
    <mat-option *ngIf="emptyOption">
      {{'PLACEHOLDER_NO_SELECT' | translate: lang}}
    </mat-option>
    <mat-option *ngIf="provideAllOption && !searchSelect && filteredList.length > 0" [value]="0">
      {{'ALL' | translate: lang}}
    </mat-option>
    <mat-option [disabled]="disableItems && item[valueField] !== 'all'" [ngClass]="{'inactive-option': isInactive && item.isActive === 0}" *ngFor="let item of filteredList" [value]="bindObject ? item : item[valueField]">
      {{displayField ? item[displayField] : item}}
    </mat-option>
  </mat-select>
  <mat-hint *ngIf="(myFormControl.invalid && (myFormControl.dirty || myFormControl.touched))">
    <mat-error *ngIf="myFormControl.errors.required">
      {{requiredMsg ? requiredMsg : ('REQUIRED' | translate:lang)}}
    </mat-error>
  </mat-hint>
</mat-form-field>